package com.zcloud.mapper.datasource.system;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：用户表明细
 * 作者：luoxiaobao
 * 时间：2021-12-07
 * 官网：www.zcloudchina.com
 */
public interface UserInfoMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	/**
	 * 清除人员字典信息（职务、职称、工种）
	 * @param pd
	 */
	void clearDict(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void editUserSign(PageData pd);
	/**修改 用户的签字状态，记录人员，安全生产机构负责人
	 * @param pd
	 * @throws Exception
	 */
	void editUserSignType(PageData pd);

}

